# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++
# END SourceDeps(oneline)
Name:           n2n
Version:        2.1.0
Release:        alt1_4
Summary:        A layer-two peer-to-peer virtual private network

Group:          Networking/WWW
License:        GPLv3+
URL:            http://www.ntop.org/n2n
# The source for this package was pulled from upstream's svn repository.
# git svn clone --no-minimize-url https://svn.ntop.org/svn/ntop/tags/n2n-2.1.0
# (cd n2n-2.1.0 && git archive HEAD --format=tar --prefix=n2n-2.1.0/) | bzip2 - > n2n-2.1.0.tar.bz2
Source0:        %{name}-%{version}.tar.bz2

BuildRequires:  libssl-devel
Source44: import.info

%description
n2n is a layer-two peer-to-peer virtual private network (VPN) which
allows users to exploit features typical of P2P applications at
network instead of application level. This means that users can gain
native IP visibility (e.g. two PCs belonging to the same n2n network
can ping each other) and be reachable with the same network IP address
regardless of the network where they currently belong.  In a nutshell,
as OpenVPN moved SSL from application (e.g. used to implement the
HTTPS protocol) to network protocol, n2n moves P2P from application to
network level.

%prep
%setup -q

%build
make CFLAGS="%{optflags}" %{?_smp_mflags}

%install
make INSTALL="install -p" install DESTDIR=$RPM_BUILD_ROOT

%files
%doc COPYING README HACKING
%{_sbindir}/edge
%{_sbindir}/supernode
%{_mandir}/man*/*


%changelog
* Fri Apr 26 2013 Igor Vlasenko <viy@altlinux.ru> 2.1.0-alt1_4
- initial fc import

